Subject: Re: bug#12512: 24.2.50; pcase treats quoted lists different than non-quoted lists

From: Christopher Monsanto <[email-masked]>
Date: Thu, 27 Sep 2012 21:09:54 -0400

Oh, I see. (pcase '(1 2 3) ...) is different than (let ((x '(1 2 3)))
(pcase x ...)). That's pretty counter intuitive. I'm guessing some
sort of optimization?

Christopher Monsanto
[email-masked]  --  http://monsan.to/

On Thu, Sep 27, 2012 at 8:52 PM, Stefan Monnier
<[email-masked]> wrote:
>> Anyone alive :)? If someone can acknowledge that this is indeed a bug,
>
> It's definitely a bug.
>
>> moment (due to the ubiquity of using quotation for lists, pcase is
>> more-or-less useless to me until this is fixed)
>
> I can't believe you often do (pcase 'FOO BAR), since that can always be
> trivially resolved (since you know statically what you're pcase'ing on).
>
>
>         Stefan